clang 10.0.0git

Macros | Typedefs
stdarg.h File Reference

Go to the source code of this file.

## Macros
#define | _VA_LIST
#define | va_start(ap, param) __builtin_va_start(ap, param)
#define | va_end(ap) __builtin_va_end(ap)
#define | va_arg(ap, type) __builtin_va_arg(ap, type)
#define | __va_copy(d, s) __builtin_va_copy(d,s)
#define | va_copy(dest, src) __builtin_va_copy(dest, src)
#define | __GNUC_VA_LIST 1

## Typedefs
typedef __builtin_va_list | va_list
typedef __builtin_va_list | __gnuc_va_list

## Macro Definition Documentation

## ◆ __GNUC_VA_LIST

#define __GNUC_VA_LIST 1

Definition at line 31 of file stdarg.h.

## ◆ __va_copy

#define __va_copy | ( |  | d,
|  |  | s
| ) |  | __builtin_va_copy(d,s)

Definition at line 24 of file stdarg.h.

## ◆ _VA_LIST

#define _VA_LIST

Definition at line 15 of file stdarg.h.

## ◆ va_arg

#define va_arg | ( |  | ap,
|  |  | type
| ) |  | __builtin_va_arg(ap, type)

Definition at line 19 of file stdarg.h.

## ◆ va_copy

#define va_copy | ( |  | dest,
|  |  | src
| ) |  | __builtin_va_copy(dest, src)

Definition at line 27 of file stdarg.h.

## ◆ va_end

#define va_end | ( |  | ap | ) | __builtin_va_end(ap)

Definition at line 18 of file stdarg.h.

## ◆ va_start

#define va_start | ( |  | ap,
|  |  | param
| ) |  | __builtin_va_start(ap, param)

Definition at line 17 of file stdarg.h.

## Typedef Documentation

## ◆ __gnuc_va_list

typedef __builtin_va_list __gnuc_va_list

Definition at line 32 of file stdarg.h.

## ◆ va_list

typedef __builtin_va_list va_list

Definition at line 14 of file stdarg.h.